Множественные уязвимости в TWiki

Дата публикации:
08.12.2008
Дата изменения:
08.12.2008
Всего просмотров:
1782
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-5304
CVE-2008-5305
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Twiki
Уязвимые версии: TWiki версии до 4.2.4

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в переменной "URLPARAM". Удаленный пользователь может с помощью специально сформированного запросы выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "SEARCH" перед вызовом функции "eval()". Удаленный пользователь может с помощью специально сформированного HTTP GET запроса выполнить произвольный PHP код на целевой системе с привилегиями Web сервера.

URL производителя: www.twiki.org

Решение: Установите последнюю версию 4.2.4 с сайта производителя.

Ссылки: http://twiki.org/cgi-bin/view/Codev/SecurityAlert-CVE-2008-5304
http://twiki.org/cgi-bin/view/Codev/SecurityAlert-CVE-2008-5305

или введите имя

CAPTCHA